package vfpool

// IDs gets array of VFPool IDs from ListVFPool struct
func (lv ListVFPool) IDs() []uint64 {
	res := make([]uint64, 0, len(lv.Data))
	for _, e := range lv.Data {
		res = append(res, e.ID)
	}
	return res
}

// IDs gets array of VF IDs from VFSInfoList struct
func (lv VFSInfoList) IDs() []uint64 {
	res := make([]uint64, 0, len(lv))
	for _, e := range lv {
		res = append(res, e.ID)
	}
	return res
}
